# -*- coding: utf-8 -*-
"""Копія записника "Skillbox Parser Day 2 03/05.ipynb"

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1iuqAkrO9ZVK1S75iQM0Nm79cICef7Azj

# Протокол HTTP
# API

# Selenium

⬇️ [Что понадобится сегодня для практики]: 

 * https://www.python.org/downloads/
 * https://www.jetbrains.com/pycharm/download/
 * https://chromedriver.chromium.org/downloads
"""

import requests


# requests.get - Делает GET запрос: HTTP-запросов (запрос на чтение данных)
# requests.post - HTTP-POST запрос: (запрос на запись/обновление данных)

# API

# Выполняет HTTP-запрос
def fetch(url, params):
    headers = params['headers']
    body = params['body']
    if params["method"] == 'POST':
        return requests.post(url, headers=headers, data=body)
    else:
        return requests.get(url, headers=headers)


def get_items():
    x = fetch("https://api.catalog.ecom.silpo.ua/api/2.0/exec/EcomCatalogGlobal", {
        "headers": {
            "accept": "application/json, text/plain, */*",
            "accept-language": "uk-UA,uk;q=0.9,ru;q=0.8,en-US;q=0.7,en;q=0.6",
            "content-type": "application/json",
            "sec-ch-ua": "\".Not/A)Brand\";v=\"99\", \"Google Chrome\";v=\"103\", \"Chromium\";v=\"103\"",
            "sec-ch-ua-mobile": "?0",
            "sec-ch-ua-platform": "\"Windows\"",
            "sec-fetch-dest": "empty",
            "sec-fetch-mode": "cors",
            "sec-fetch-site": "same-site",
            "user-uid": "7d23400b-cb7e-c696-324e-a7a9158d2021",
            "x-sessionid": "340a6ea8f5f01fe252cfcb659a0f30b2",
            "Referer": "https://shop.silpo.ua/",
            "Referrer-Policy": "strict-origin-when-cross-origin"
        },
        "body": "{\"method\":\"GetSimpleCatalogItems\",\"data\":{\"merchantId\":1,\"basketGuid\":\"\",\"deliveryType\":2,\"filialId\":2043,\"From\":1,\"businessId\":1,\"To\":150,\"ingredients\":false,\"categoryId\":1468,\"sortBy\":\"price-asc\",\"RangeFilters\":{},\"MultiFilters\":{},\"UniversalFilters\":[],\"CategoryFilter\":[\"1471\"],\"Promos\":[]}}",
        "method": "POST"
    })
    result = x.json()
    return result['items']


HOST_SILPO = "https://shop.silpo.ua/product/"


# lambos = get_lambos()
# for lambo in lambos:
#   print(f"Silpo: {lambo['name']}, netto {lambo['unit']}, price {lambo['price']}, url {URL_SILPO+str(lambo['slug'])} ")


def get_content_s(items):
    cards = []
    print(items)
    for item in items:
        # print(item)
        cards.append(
            {
                "title": item['name'].strip(),
                "link_product": HOST_SILPO + str(item['slug']),
                "price_sale": item['price'],
                # "price": item.find('data', class_="product-price__bottom").get("value"),

            }
        )
    print(len(cards))
    return cards


def pars_s():
    htmlv2 = get_items()
    # print(htmlv2)
    rez = get_content_s(htmlv2)
    return rez


if __name__ == '__main__':
    get_content_s(get_items())
